<script>
// import { BCard, BTab, BTabs } from 'bootstrap-vue'
import GitLabIntegrationFormAdmin from '@/components/forms/GitLabIntegration/GitLabIntegrationFormAdmin.vue'
import LdapBasicForm from '@/components/forms/ldap/LdapBasic.vue'
import LdapSslForm from '@/components/forms/ldap/LdapSsl.vue'
import LdapAttributeForm from '@/components/forms/ldap/LdapAttribute.vue'

export default {
  name: 'FullUserFormTemplateAdmin',
  components: {
    BTabs,
    BTab,
    BCard,
    GitLabIntegrationFormAdmin,
    LdapBasicForm,
    LdapSslForm,
    LdapAttributeForm,
  },
  props: {
    userData: {
      type: Object,
      default: () => ({}),
    },
  },
  data() {
    return {
      user: { rol: '' },
      permissionsData: [
        {
          module: 'Admin',
          read: true,
          write: false,
          create: false,
          delete: false,
        },
        {
          module: 'Staff',
          read: false,
          write: true,
          create: false,
          delete: false,
        },
        {
          module: 'Author',
          read: true,
          write: false,
          create: true,
          delete: false,
        },
        {
          module: 'Contributor',
          read: false,
          write: false,
          create: false,
          delete: false,
        },
        {
          module: 'User',
          read: false,
          write: false,
          create: false,
          delete: true,
        },
      ],
    }
  },
  mounted() {
    this.user = this.$store.state.user
  },
}
</script>

<template v-if="false === ['admin', 'root'].includes(this.user.rol.toLowerCase())">
  <!-- only Root or Admin can see this page -->
  <BTabs
    vertical
    content-class="col-12 col-md-9 mt-1 mt-md-0"
    pills
    nav-wrapper-class="col-md-3 col-12"
    nav-class="nav-left"
  >
    <BTab active>
      <!-- title General -->
      <template #title>
        <FeatherIcon
          icon="ToolIcon"
          size="18"
          class="mr-50"
        />
        <span class="font-weight-bold">Basic configuration settings</span>
      </template>

      <BCard>
        <LdapBasicForm :user-data="userData" />
      </BCard>
    </BTab>
    <BTab>
      <!-- title Password -->
      <template #title>
        <FeatherIcon
          icon="ToolIcon"
          size="18"
          class="mr-50"
        />
        <span class="font-weight-bold">SSL configuration settings</span>
      </template>

      <BCard>
        <LdapSslForm :user-id="userData.id" />
      </BCard>
    </BTab>

    <BTab>
      <template #title>
        <FeatherIcon
          icon="UserIcon"
          size="18"
          class="mr-50"
        />
        <span class="font-weight-bold">Attribute configuration settings</span>
      </template>

      <BCard>
        <LdapAttributeForm :user="userData" />
      </BCard>
    </BTab>

    <BTab>
      <template #title>
        <FeatherIcon
          icon="UserIcon"
          size="18"
          class="mr-50"
        />
        <span class="font-weight-bold">Roles Maps Configuration</span>
      </template>

      <BCard>
        <GitLabIntegrationFormAdmin :user="userData" />
      </BCard>
    </BTab>
  </BTabs>
</template>

<style scoped>

</style>
